diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/ChoicePointStore.java tuprolog-2.7.2/src/alice/tuprolog/ChoicePointStore.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/ChoicePointStore.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/ChoicePointStore.java	2013-07-15 13:46:01.000000000 +0200
@@ -36,7 +36,6 @@
     
     /**
 	 * Return the actual choice-point store
-	 * @return
 	 */
     public ChoicePointContext getPointer() {
         return pointer;
@@ -45,7 +44,6 @@
     /**
      * Check if a choice point exists in the store.
      * As a side effect, removes choice points which have been already used and are now empty. 
-     * @return
      */
     protected boolean existChoicePoint() {
         if (pointer == null) return false;
@@ -93,4 +91,4 @@
         return l;
     }
     
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/ClauseStore.java tuprolog-2.7.2/src/alice/tuprolog/ClauseStore.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/ClauseStore.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/ClauseStore.java	2013-07-15 13:46:01.000000000 +0200
@@ -62,8 +62,6 @@
     
     /**
      * Verify if there is a term in compatibleGoals compatible with goal. 
-     * @param goal
-     * @param compGoals
      * @return true if compatible or false otherwise.
      */
     protected boolean existCompatibleClause() {
@@ -160,4 +158,4 @@
     }
     
     
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/event/SpyEvent.java tuprolog-2.7.2/src/alice/tuprolog/event/SpyEvent.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/event/SpyEvent.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/event/SpyEvent.java	2013-07-15 13:46:01.000000000 +0200
@@ -33,10 +33,6 @@
 	 * event description
 	 */
     private String msg;
-    /**
-	 * @uml.property  name="env"
-	 * @uml.associationEnd  
-	 */
     private Engine env;
 
     public SpyEvent(Object source, String msg_) {
@@ -63,4 +59,4 @@
         return msg + ((env == null) ? "" : env.toString());
     }
 
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/lib/BasicLibrary.java tuprolog-2.7.2/src/alice/tuprolog/lib/BasicLibrary.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/lib/BasicLibrary.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/lib/BasicLibrary.java	2013-07-15 13:46:01.000000000 +0200
@@ -116,7 +116,7 @@
     /**
      * Loads a library constructed from a theory.
      * 
-     * @param theory
+     * @param th
      *            theory text
      * @param libName
      *            name of the library
@@ -1358,4 +1358,4 @@
                 { "\\", "expression_bitwise_not", "functor" } };
     }
 
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/lib/IOLibrary.java tuprolog-2.7.2/src/alice/tuprolog/lib/IOLibrary.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/lib/IOLibrary.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/lib/IOLibrary.java	2013-07-15 13:46:01.000000000 +0200
@@ -379,7 +379,7 @@
     /**
      * Sets an arbitrary seed for the Random object.
      * 
-     * @param seed Seed to use
+     * @param t Seed to use
      * @return true if seed Term has a valid long value, false otherwise
      */
     public boolean set_seed_1(Term t) throws PrologError {
@@ -474,4 +474,4 @@
         }
         return true;
     }
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/lib/JavaLibrary.java tuprolog-2.7.2/src/alice/tuprolog/lib/JavaLibrary.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/lib/JavaLibrary.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/lib/JavaLibrary.java	2013-07-15 13:46:01.000000000 +0200
@@ -265,7 +265,7 @@
      * @author Michele Mannino
      * Creates of a java object - not backtrackable case
      * @param className The name of the class 
-     * @oaram path The list of the paths where the class may be contained
+     * @param paths The list of the paths where the class may be contained
      * @param argl The list of the arguments used by the constructor
      * @param id The name of the prolog term
      * @throws JavaException
@@ -1745,8 +1745,6 @@
 
     /**
      * Generates a fresh numeric identifier
-     * 
-     * @return
      */
     protected Struct generateFreshId() {
         return new Struct("$obj_" + id++);
@@ -2099,4 +2097,4 @@
         this.eventFullClass = eventClass;
         listenerInterfaceName = n;
     }
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/LibraryManager.java tuprolog-2.7.2/src/alice/tuprolog/LibraryManager.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/LibraryManager.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/LibraryManager.java	2013-07-15 13:46:01.000000000 +0200
@@ -49,7 +49,7 @@
 	 * If a library with the same name is already present,
 	 * a warning event is notified and the request is ignored.
 	 *
-	 * @param the name of the Java class containing the library to be loaded
+	 * @param className the name of the Java class containing the library to be loaded
 	 * @return the reference to the Library just loaded
 	 * @throws InvalidLibraryException if name is not a valid library
 	 */
@@ -83,8 +83,8 @@
 	 * If a library with the same name is already present,
 	 * a warning event is notified and the request is ignored.
 	 *
-	 * @param the name of the Java class containing the library to be loaded
-	 * @param the list of the paths where the library may be contained
+	 * @param className the name of the Java class containing the library to be loaded
+	 * @param paths the list of the paths where the library may be contained
 	 * @return the reference to the Library just loaded
 	 * @throws InvalidLibraryException if name is not a valid library
 	 */
@@ -314,4 +314,4 @@
 	
 	
 
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/PrimitiveManager.java tuprolog-2.7.2/src/alice/tuprolog/PrimitiveManager.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/PrimitiveManager.java	2013-07-15 13:38:22.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/PrimitiveManager.java	2013-07-15 13:46:01.000000000 +0200
@@ -89,7 +89,7 @@
      * This involves identifying structs representing builtin
      * predicates and functors, and setting up related structures and links
      *
-     * @parm term the term to be identified
+     * @param term the term to be identified
      * @return term with the identified built-in directive
      */
     public Term identifyDirective(Term term) {
@@ -192,4 +192,4 @@
 		return (functorHashMap.containsKey(name + "/" + nArgs) || predicateHashMap.containsKey(name + "/" + nArgs));
 	}
     /**/
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprolog/Struct.java tuprolog-2.7.2/src/alice/tuprolog/Struct.java
--- tuprolog-2.7.2.orig/src/alice/tuprolog/Struct.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprolog/Struct.java	2013-07-15 13:46:01.000000000 +0200
@@ -201,7 +201,7 @@
     }
     
     /**
-	 * @return
+	 * @return predicateIndicator
 	 */
     String getPredicateIndicator() {
         return predicateIndicator;
@@ -894,4 +894,4 @@
 	}
     /**/
     
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/ide/Console.java tuprolog-2.7.2/src/alice/tuprologx/ide/Console.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/ide/Console.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/ide/Console.java	2013-07-15 13:46:01.000000000 +0200
@@ -10,8 +10,5 @@
     public void getNextSolution();
     public void acceptSolution();
     public void stopEngine();
-    /**
-	 * @uml.property  name="goal"
-	 */
     public String getGoal();
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/ide/LibraryDialogFrame.java tuprolog-2.7.2/src/alice/tuprologx/ide/LibraryDialogFrame.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/ide/LibraryDialogFrame.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/ide/LibraryDialogFrame.java	2013-07-15 13:46:01.000000000 +0200
@@ -370,7 +370,7 @@
      * Add a library from file chooser path.
      *
      * @param libraryClassname The name of the .class of the library to be added.
-     * @param path from file chooser.
+     * @param file from file chooser.
      */
     public void addLibrary(String libraryClassname, File file)
     {
@@ -500,7 +500,6 @@
         displayLibraryManagerStatus();
     }
 
-    /** @see alice.tuprologx.ide.SwingFrame#onClose()*/
     public void closeLibraryDialog()
     {
         onClose();
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/ide/LibraryManager.java tuprolog-2.7.2/src/alice/tuprologx/ide/LibraryManager.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/ide/LibraryManager.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/ide/LibraryManager.java	2013-07-15 13:46:01.000000000 +0200
@@ -131,7 +131,7 @@
 	     * Add a library to the manager.
 	     *
 	     * @param libraryClassname The name of the .class of the library to be added.
-	     * @param path The path where is contained the library.
+	     * @param file The path where is contained the library.
 	     * @throws ClassNotFoundException if the library class cannot be found.
 	     * @throws InvalidLibraryException if the library is not a valid tuProlog library.
 	     */
@@ -236,7 +236,7 @@
      * Load a library from the Library Manager into the engine.
      *
      * @param library The library to be loaded into the engine.
-     * @param path The library path where is contained the library.
+     * @param file The library path where is contained the library.
      * @throws InvalidLibraryException
      */
     public void loadLibrary(String library, File file) throws InvalidLibraryException {
@@ -291,4 +291,4 @@
 				klass.getName().replace('.', '/') + ".class");
 	}
 
-} // end LibraryManager class
\ No newline at end of file
+} // end LibraryManager class
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/ide/ToolBar.java tuprolog-2.7.2/src/alice/tuprologx/ide/ToolBar.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/ide/ToolBar.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/ide/ToolBar.java	2013-07-15 13:46:01.000000000 +0200
@@ -269,8 +269,6 @@
 
     /**
      * Set the tuProlog config frame
-     *
-     * @param libraryManager a libraryManager to associate to the libraryDialog 
      */
     public void setPrologConfig(PrologConfigFrame configFrame)
     {
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/pj/lib/PJLibrary.java tuprolog-2.7.2/src/alice/tuprologx/pj/lib/PJLibrary.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/pj/lib/PJLibrary.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/pj/lib/PJLibrary.java	2013-07-15 13:46:01.000000000 +0200
@@ -1252,7 +1252,6 @@
 	
 	/**
 	 * Generates a fresh numeric identifier
-	 * @return
 	 */
 	protected Struct generateFreshId() {
 		return new Struct("$obj_" + id++);        
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/spyframe/SpyFrame.java tuprolog-2.7.2/src/alice/tuprologx/spyframe/SpyFrame.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/spyframe/SpyFrame.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/spyframe/SpyFrame.java	2013-07-15 13:51:08.000000000 +0200
@@ -199,7 +199,7 @@
 
   /**Display the spied information in form of a tree. This method reacts only
    * on prolog-Calls and skips even those if the number of steps set in
-   * {@link actionPerformed} is bigger than 1. In this case the number is
+   * actionPerformed is bigger than 1. In this case the number is
    * decremented to skip these steps. After display the prolog process is
    * suspended until the user presses enter.
    * 
@@ -229,4 +229,4 @@
     SpyFrame tf=new SpyFrame(theory, goal);
     tf.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/tuprologx/spyframe/Tree.java tuprolog-2.7.2/src/alice/tuprologx/spyframe/Tree.java
--- tuprolog-2.7.2.orig/src/alice/tuprologx/spyframe/Tree.java	2013-07-15 13:38:21.000000000 +0200
+++ tuprolog-2.7.2/src/alice/tuprologx/spyframe/Tree.java	2013-07-15 13:50:25.000000000 +0200
@@ -47,12 +47,12 @@
   private Line2D.Float line=new Line2D.Float();
 
   /**Creates a component to display a tree.
-   * @param totree to consult for constructing the tree.
+   * @param treemaker to consult for constructing the tree.
    */
   public Tree(ToTree<T> treemaker){this.totree=treemaker;}
 
   /**Creates a component to display a tree.
-   * @param totree to consult for constructing the tree.
+   * @param treemaker to consult for constructing the tree.
    * @param str the structure to be displayed as a tree.
    */
   public Tree(ToTree<T> treemaker, T str){
@@ -184,4 +184,4 @@
     g2.setColor(node.textcolor);
     g2.drawString(node.text, node.x+border, node.y+border+asc);
   }
-}
\ No newline at end of file
+}
diff -ur tuprolog-2.7.2.orig/src/alice/util/DynamicURLClassLoader.java tuprolog-2.7.2/src/alice/util/DynamicURLClassLoader.java
--- tuprolog-2.7.2.orig/src/alice/util/DynamicURLClassLoader.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/DynamicURLClassLoader.java	2013-07-15 13:46:01.000000000 +0200
@@ -35,7 +35,7 @@
 	
     /**
      * Constructor that specifies the URLs array.
-	 * @param URL[] urls - Used to load a directory a URL ends with "/" or "\"
+	 * @param urls - Used to load a directory a URL ends with "/" or "\"
 	 * otherwise it loads a class contained into a .jar
 	 */
 
@@ -148,7 +148,7 @@
 	
 	/**
 	 * Remove array URLs method.
-	 * @param urls - URL to be removed.
+	 * @param url - URL to be removed.
 	 */
 
 	public void removeURL(URL url) throws IllegalArgumentException
diff -ur tuprolog-2.7.2.orig/src/alice/util/InspectionUtils.java tuprolog-2.7.2/src/alice/util/InspectionUtils.java
--- tuprolog-2.7.2.orig/src/alice/util/InspectionUtils.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/InspectionUtils.java	2013-07-15 13:46:01.000000000 +0200
@@ -14,9 +14,9 @@
 	/**
 	 * @author Michele Mannino
 	 * 
-	 * @param type: class to be inspected
-	 * @param methodName: name of method
-	 * @param parms: array of params
+	 * @param type class to be inspected
+	 * @param methodName name of method
+	 * @param parms array of params
 	 */
 	public static Method searchForMethod(Class<?> type, String methodName, Class<?>[] parms) {
 	    Method[] methods = type.getMethods();
diff -ur tuprolog-2.7.2.orig/src/alice/util/jedit/InputHandler.java tuprolog-2.7.2/src/alice/util/jedit/InputHandler.java
--- tuprolog-2.7.2.orig/src/alice/util/jedit/InputHandler.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/jedit/InputHandler.java	2013-07-15 13:46:01.000000000 +0200
@@ -24,7 +24,7 @@
  *
  * @author Slava Pestov
  * @version $Id: InputHandler.java,v 1.14 1999/12/13 03:40:30 sp Exp $
- * @see org.gjt.sp.jedit.textarea.DefaultInputHandler
+ * @see alice.util.jedit.DefaultInputHandler
  */
 public abstract class InputHandler extends KeyAdapter
 {
@@ -187,7 +187,7 @@
     /**
      * Grabs the next key typed event and invokes the specified
      * action with the key as a the action command.
-     * @param action The action
+     * @param listener The action
      */
     public void grabNextKeyStroke(ActionListener listener)
     {
diff -ur tuprolog-2.7.2.orig/src/alice/util/jedit/JEditTextArea.java tuprolog-2.7.2/src/alice/util/jedit/JEditTextArea.java
--- tuprolog-2.7.2.orig/src/alice/util/jedit/JEditTextArea.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/jedit/JEditTextArea.java	2013-07-15 13:46:01.000000000 +0200
@@ -1401,7 +1401,7 @@
 
 	/**
 	 * Sets if the selection should be rectangular.
-	 * @param overwrite True if the selection should be rectangular,
+	 * @param rectSelect True if the selection should be rectangular,
 	 * false otherwise.
 	 */
 	public final void setSelectionRectangular(boolean rectSelect)
diff -ur tuprolog-2.7.2.orig/src/alice/util/jedit/KeywordMap.java tuprolog-2.7.2/src/alice/util/jedit/KeywordMap.java
--- tuprolog-2.7.2.orig/src/alice/util/jedit/KeywordMap.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/jedit/KeywordMap.java	2013-07-15 13:46:01.000000000 +0200
@@ -75,7 +75,7 @@
     /**
      * Adds a key-value mapping.
      * @param keyword The key
-     * @Param id The value
+     * @param id The value
      */
     public void add(String keyword, byte id)
     {
@@ -102,9 +102,6 @@
     }
 
     // protected members
-    /**
-	 * @uml.property  name="mapLength"
-	 */
     protected int mapLength;
 
     protected int getStringMapKey(String s)
diff -ur tuprolog-2.7.2.orig/src/alice/util/jedit/TextAreaPainter.java tuprolog-2.7.2/src/alice/util/jedit/TextAreaPainter.java
--- tuprolog-2.7.2.orig/src/alice/util/jedit/TextAreaPainter.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/jedit/TextAreaPainter.java	2013-07-15 13:46:01.000000000 +0200
@@ -75,7 +75,7 @@
 
     /**
 	 * Returns the syntax styles used to paint colorized text. Entry <i>n</i> will be used to paint tokens with id = <i>n</i>.
-	 * @see  org.gjt.sp.jedit.syntax.Token
+	 * @see  alice.util.jedit.Token
 	 */
     public final SyntaxStyle[] getStyles()
     {
@@ -85,7 +85,7 @@
     /**
 	 * Sets the syntax styles used to paint colorized text. Entry <i>n</i> will be used to paint tokens with id = <i>n</i>.
 	 * @param styles  The syntax styles
-	 * @see  org.gjt.sp.jedit.syntax.Token
+	 * @see  alice.util.jedit.Token
 	 */
     public final void setStyles(SyntaxStyle[] styles)
     {
@@ -356,7 +356,7 @@
 
     /**
      * Repaints the text.
-     * @param g The graphics context
+     * @param gfx The graphics context
      */
     public void paint(Graphics gfx)
     {
diff -ur tuprolog-2.7.2.orig/src/alice/util/jedit/TokenMarker.java tuprolog-2.7.2/src/alice/util/jedit/TokenMarker.java
--- tuprolog-2.7.2.orig/src/alice/util/jedit/TokenMarker.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/jedit/TokenMarker.java	2013-07-15 13:46:01.000000000 +0200
@@ -23,7 +23,7 @@
  * @author Slava Pestov
  * @version $Id: TokenMarker.java,v 1.32 1999/12/13 03:40:30 sp Exp $
  *
- * @see org.gjt.sp.jedit.syntax.Token
+ * @see alice.util.jedit.Token
  */
 public abstract class TokenMarker
 {
diff -ur tuprolog-2.7.2.orig/src/alice/util/ReadOnlyLinkedList.java tuprolog-2.7.2/src/alice/util/ReadOnlyLinkedList.java
--- tuprolog-2.7.2.orig/src/alice/util/ReadOnlyLinkedList.java	2013-07-15 13:38:23.000000000 +0200
+++ tuprolog-2.7.2/src/alice/util/ReadOnlyLinkedList.java	2013-07-15 13:46:01.000000000 +0200
@@ -12,10 +12,10 @@
 import java.util.ListIterator;
 
 /**
- * ReadOnlyLinkedList<E> encapsulate a {@link LinkedList<E>}
+ * ReadOnlyLinkedList<E> encapsulate a {@link LinkedList}
  * and ensures that the given list is navigated only.
  *
- * Even if ReadOnlyLinkedList<E> implements {@link List<E>} it doesn't
+ * Even if ReadOnlyLinkedList<E> implements {@link List} it doesn't
  * support modifiers methods, and throws {@link UnsupportedOperationException}
  * if invoked.
  *
